package nlib.bbs.service;

import nlib.util.StringUtil;
import nlib.util.UUID;

/**
 * <pre>
 * @Class Name : AttachFileVO.java
 * 
 * @Description : 첨부파일 정보 VO 
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 9. 14.    KNKIM       최초 생성
 * @ 2021.11. 24.    KNKIM       DB컬럼명 수정에 따른 변경 처리 (FILE_STRE_COURS -> FILE_STRE_PATH, FILE_EXTSN -> FILE_EXT)
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021. 9. 14.
 * @version 1.0
 *
 */
public class AttachFileVO {

	private String bdType;               /* 첨부된 게시판 유형 : ancmnt, faq, qna */
	private String mbInfoId;             /* 사용자ID (권한체크 등에 사용) */
	
	private String subPathKey;           /* 첨부파일서브경로 */
	
	private String attachFileId;         /* 첨부파일아이디 */ 
	private int    fileSn;               /* 파일 순번 */
	private String fileStrePath;         /* 파일 저장결올 */
	private String streFileNm;           /* 저장파일명 */
	private String orignlFileNm;         /* 원본파일명 */
	private String fileExt;              /* 파일확장자 */ 
	private int    fileSize;             /* 파일 사이즈 */
	private String useAt;                /* 사용영부 */
	

	// GET/SET 
	public String getSubPathKey() {
		return subPathKey;
	}
	public void setSubPathKey(String subPathKey) {
		this.subPathKey = subPathKey;
	}
	public String getAttachFileId() {
		return attachFileId;
	}
	public void setAttachFileId(String attachFileId) {
		this.attachFileId = attachFileId;
	}
	public int getFileSn() {
		return fileSn;
	}
	public void setFileSn(int fileSn) {
		this.fileSn = fileSn;
	}
	public String getFileStrePath() {
		return fileStrePath;
	}
	public void setFileStrePath(String fileStrePath) {
		this.fileStrePath = fileStrePath;
	}
	public String getStreFileNm() {
		return streFileNm;
	}
	public void setStreFileNm(String streFileNm) {
		this.streFileNm = streFileNm;
	}
	public String getOrignlFileNm() {
		return orignlFileNm;
	}
	public void setOrignlFileNm(String orignlFileNm) {
		this.orignlFileNm = orignlFileNm;
	}
	public String getFileExt() {
		return fileExt;
	}
	public void setFileExt(String fileExt) {
		this.fileExt = (fileExt == null ? null : fileExt.toLowerCase());
	}
	public int getFileSize() {
		return fileSize;
	}
	public void setFileSize(int fileSize) {
		this.fileSize = fileSize;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getMbInfoId() {
		return mbInfoId;
	}
	public void setMbInfoId(String mbInfoId) {
		this.mbInfoId = mbInfoId;
	}
	public String getBdType() {
		return bdType;
	}
	public void setBdType(String bdType) {
		this.bdType = bdType;
	}
	
}
